package com.ai.da.service;

import com.ai.da.model.dto.AlipayHKCallbackDTO;
import com.ai.da.model.dto.ProductPurchaseDTO;

import javax.servlet.http.HttpServletRequest;

public interface AlipayHKService {

    String createOrder(ProductPurchaseDTO productPurchaseDTO, HttpServletRequest request);

    String callback(String paramString);

    void processOrder(AlipayHKCallbackDTO alipayHKCallbackDTO);

    String queryDetail(String orderRef);
}
